# BTKN Token Rankings

This endpoint provides the top BTKN by trading volume or TVL for different time periods, along with their info & market data.

## GET /v1/spark/btkn/stats/rankings

> Retrieve the top BTKN tokens sorted by volume/TVL, including token metadata and market data.\
> &#x20;         Default sort is \`VOLUME24H\_DESC\`.

```json
{"openapi":"3.0.3","info":{"title":"SecretKeyLabs API","version":"1.0.0"},"tags":[],"servers":[{"url":"https://api.secretkeylabs.io"}],"security":[{"apiKey":[]}],"components":{"securitySchemes":{"apiKey":{"type":"apiKey","name":"x-api-key","in":"header"}}},"paths":{"/v1/spark/btkn/stats/rankings":{"get":{"tags":["Spark"],"description":"Retrieve the top BTKN tokens sorted by volume/TVL, including token metadata and market data.\n          Default sort is `VOLUME24H_DESC`.","parameters":[{"schema":{"default":10,"minimum":0,"maximum":100,"type":"number"},"in":"query","name":"limit","required":false},{"schema":{"enum":["VOLUME24H_DESC","VOLUME24H_ASC","TVL_DESC","TVL_ASC"],"default":"VOLUME24H_DESC","type":"string"},"in":"query","name":"sort","required":false}],"responses":{"200":{"description":"Default Response","content":{"application/json":{"schema":{"type":"array","items":{"type":"object","properties":{"tokenIdentifier":{"type":"string"},"tokenAddress":{"type":"string"},"name":{"type":"string"},"ticker":{"type":"string"},"decimals":{"type":"number"},"issuerPublicKey":{"type":"string"},"iconUrl":{"type":"string"},"holderCount":{"type":"number"},"priceUsd":{"type":"number"},"maxSupply":{"type":"number"},"isFreezable":{"type":"boolean"},"createdAt":{"type":"string"},"updatedAt":{"type":"string"},"price":{"type":"number"},"pools":{"type":"array","items":{"type":"object","properties":{"lpPublicKey":{"type":"string"},"hostName":{"type":"string"},"hostFeeBps":{"type":"number"},"lpFeeBps":{"type":"number"},"assetAAddress":{"type":"string"},"assetBAddress":{"type":"string"},"assetAReserve":{"type":"string"},"assetBReserve":{"type":"string"},"currentPriceAInB":{"type":"string"},"tvlAssetB":{"type":"string"},"volume24hAssetB":{"type":"string"},"priceChangePercent24h":{"type":"string"},"curveType":{"type":"string"},"initialReserveA":{"type":"string"},"bondingProgressPercent":{"type":"string"},"createdAt":{"type":"string"},"priceUsd":{"type":"string"},"TVLUsd":{"type":"string"}}}},"marketCapUsd":{"type":"string"},"aggPriceSats":{"type":"string"},"aggPriceUsd":{"type":"string"},"aggPriceChange24h":{"type":"string"},"aggTVLUsd":{"type":"string"},"aggUpdatedAt":{"type":"string"},"aggVolume24hUsd":{"type":"string"}}}}}}},"400":{"description":"Invalid input","content":{"application/json":{"schema":{"description":"Invalid input","type":"string"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"description":"Unauthorized","type":"string"}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"description":"Not found","type":"string"}}}},"429":{"description":"Rate limit exceeded","content":{"application/json":{"schema":{"description":"Rate limit exceeded","type":"string"}}}},"500":{"description":"Internal server error","content":{"application/json":{"schema":{"description":"Internal server error","type":"string"}}}}}}}}}
```
